| Flutter iOS Embedder |

Instance Methods | List of all members
ChildClippingView Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for ChildClippingView:

## Instance Methods
(void) | - applyBlurBackdropFilters:
(NSMutableArray *) | - backdropFilterSubviews

## Detailed Description

Definition at line 117 of file FlutterPlatformViews_Internal.h.

## Method Documentation

## ◆ applyBlurBackdropFilters:

- (void) applyBlurBackdropFilters: |  | (NSArray<PlatformViewFilter*>*) | filters |

Definition at line 203 of file FlutterPlatformViews_Internal.mm.

203 :(NSArray<PlatformViewFilter*>*)filters {
204 FML_DCHECK(self.filters.count == self.backdropFilterSubviews.count);
205 if (self.filters.count == 0 && filters.count == 0) {
206 return;
207 }
208 self.filters = filters;
209 NSUInteger index = 0;
210 for (index = 0; index < self.filters.count; index++) {
211 UIVisualEffectView* backdropFilterView;
212 PlatformViewFilter* filter = self.filters[index];
213 if (self.backdropFilterSubviews.count <= index) {
214 backdropFilterView = filter.backdropFilterView;
215 [self addSubview:backdropFilterView];
216 [self.backdropFilterSubviews addObject:backdropFilterView];
217 } else {
218 [filter updateVisualEffectView:self.backdropFilterSubviews[index]];
219 }
220 }
221 for (NSUInteger i = self.backdropFilterSubviews.count; i > index; i--) {
222 [self.backdropFilterSubviews[i - 1] removeFromSuperview];
223 [self.backdropFilterSubviews removeLastObject];
224 }
225 }

References backdropFilterSubviews, and PlatformViewFilter::backdropFilterView.

## ◆ backdropFilterSubviews

- (NSMutableArray *) backdropFilterSubviews |  |  |

Definition at line 237 of file FlutterPlatformViews_Internal.mm.

237 {
238 if (!_backdropFilterSubviews) {
239 _backdropFilterSubviews = [[NSMutableArray alloc] init];
240 }
241 return _backdropFilterSubviews;
242 }

Referenced by applyBlurBackdropFilters:.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.mm

-[ChildClippingView backdropFilterSubviews]
NSMutableArray * backdropFilterSubviews()
Definition: FlutterPlatformViews_Internal.mm:237
PlatformViewFilter
Definition: FlutterPlatformViews_Internal.h:78